package com.poeschmann.test.manytomany;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class SpringBootStandaloneApplication implements CommandLineRunner {

    @Autowired
    private TestService entityService;

    public static void main(String[] args) {
        SpringApplication.run(SpringBootStandaloneApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
        entityService.findAEntitiesWithEntityGraph();
        entityService.findAEntitiesWithoutEntityGraph();
    }

}
